package com.yolo.keyboard.service.character;

import java.util.*;
import jakarta.validation.*;
import com.yolo.keyboard.controller.admin.character.vo.*;
import com.yolo.keyboard.dal.dataobject.character.KeyboardCharacterDO;
import com.yolo.keyboard.framework.common.pojo.PageResult;

/**
 * 键盘人设 Service 接口
 *
 * @author ziin
 */
public interface KeyboardCharacterService {

    /**
     * 创建键盘人设
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createCharacter(@Valid KeyboardCharacterSaveReqVO createReqVO);

    /**
     * 更新键盘人设
     *
     * @param updateReqVO 更新信息
     */
    void updateCharacter(@Valid KeyboardCharacterSaveReqVO updateReqVO);

    /**
     * 删除键盘人设
     *
     * @param id 编号
     */
    void deleteCharacter(Long id);

    /**
    * 批量删除键盘人设
    *
    * @param ids 编号
    */
    void deleteCharacterListByIds(List<Long> ids);

    /**
     * 获得键盘人设
     *
     * @param id 编号
     * @return 键盘人设
     */
    KeyboardCharacterDO getCharacter(Long id);

    /**
     * 获得键盘人设分页
     *
     * @param pageReqVO 分页查询
     * @return 键盘人设分页
     */
    PageResult<KeyboardCharacterDO> getCharacterPage(KeyboardCharacterPageReqVO pageReqVO);

}